Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2754203004: 📰 Add tests for context menu usage (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months ago by dgn
Modified:
4 months, 4 weeks ago
CC:
chromium-reviews, noyau+watch_chromium.org, ntp-dev+reviews_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[NTP Tiles] Add tests for context menu usage Follow up to https://codereview.chromium.org/2758753003/ BUG=701253 Review-Url: https://codereview.chromium.org/2754203004 Cr-Commit-Position: refs/heads/master@{#458127} Committed: https://chromium.googlesource.com/chromium/src/+/f24e5de44ba4a46b8d3a4af00e2c2c3cc1e48cdb

Patch Set 1 #

Patch Set 2 : cleanup, ready for review #

Patch Set 3 : #

Patch Set 4 : rebase, dependent patch landing makes the tests pass #

Total comments: 24

Patch Set 5 : y #

Unified diffs Side-by-side diffs Delta from patch set Stats (+294 lines, -176 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java View 1 2 5 chunks +15 lines, -68 lines 0 comments Download
A + chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSitesBridge.java View 1 2 3 4 4 chunks +11 lines, -61 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/suggestions/TileGridLayout.java View 2 chunks +3 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/suggestions/TileGroupDelegateImpl.java View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java_sources.gni View 1 2 3 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/ntp/NewTabPageTest.java View 1 2 3 4 1 chunk +7 lines, -20 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/ntp/cards/NewTabPageRecyclerViewTest.java View 1 2 3 4 2 chunks +6 lines, -15 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/suggestions/FakeMostVisitedSites.java View 1 3 chunks +22 lines, -9 lines 0 comments Download
A chrome/android/javatests/src/org/chromium/chrome/browser/suggestions/TileGroupTest.java View 1 2 3 4 1 chunk +224 lines, -0 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/android/chrome_jni_registrar.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/ntp/most_visited_sites_bridge.cc View 1 chunk +1 line, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 21 (14 generated)
dgn
mvanouwerkerk@: PTAL at the changes in suggestions and ntp dfalcantara@: PTAL at the changes in ...
5 months ago (2017-03-17 21:17:27 UTC) #6
Michael van Ouwerkerk
https://codereview.chromium.org/2754203004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java File chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java (right): https://codereview.chromium.org/2754203004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java#newcode14 chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java:14: interface MostVisitedSites { While you're extracting a new interface ...
4 months, 4 weeks ago (2017-03-20 11:10:19 UTC) #9
dgn
PTAL https://codereview.chromium.org/2754203004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java File chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java (right): https://codereview.chromium.org/2754203004/diff/60001/chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java#newcode14 chrome/android/java/src/org/chromium/chrome/browser/suggestions/MostVisitedSites.java:14: interface MostVisitedSites { On 2017/03/20 11:10:18, Michael van ...
4 months, 4 weeks ago (2017-03-20 16:06:45 UTC) #12
Michael van Ouwerkerk
Thanks! lgtm
4 months, 4 weeks ago (2017-03-20 18:03:44 UTC) #15
gone
c/b/android lgtm
4 months, 4 weeks ago (2017-03-20 18:05:15 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2754203004/80001
4 months, 4 weeks ago (2017-03-20 18:06:20 UTC) #18
commit-bot: I haz the power
4 months, 4 weeks ago (2017-03-20 18:21:32 UTC) #21
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/f24e5de44ba4a46b8d3a4af00e2c...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b